> For the complete documentation index, see [llms.txt](https://developer.tapraise.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.tapraise.com/api/api-reference/organizations.md).

# Organizations

## GET /api/v1/organizations

> &#x20;The organizations you get returned are based upon your service account's organization's access scope, and are sorted by name ascendingly.&#x20;

```json
{"openapi":"3.0.0","info":{"title":"TapRaise API","version":"v1"},"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"jwt","type":"http"}},"schemas":{"OrganizationPaginationConnectionDto":{"type":"object","properties":{"edges":{"type":"array","items":{"$ref":"#/components/schemas/OrganizationEdgeDto"}},"pageInfo":{"$ref":"#/components/schemas/PageInfo"}},"required":["edges","pageInfo"]},"OrganizationEdgeDto":{"type":"object","properties":{"node":{"$ref":"#/components/schemas/OrganizationDetailsDto"},"cursor":{"type":"string","description":"Cursor used in 'before' and 'after' pagination connection arguments"}},"required":["node","cursor"]},"OrganizationDetailsDto":{"type":"object","properties":{"uuid":{"type":"string","format":"uuid","description":"UUID (v4)","nullable":false},"name":{"type":"string","description":"Name of the organization","nullable":false},"abbreviation":{"type":"string","description":"The organization's unique abbreviation","nullable":false},"organizationUnits":{"description":"The organization's units, nested as a tree with the root units at the top level. Only the organizations list endpoint exposes these; embedded organization representations (e.g. on persons and pledge cases) do not.","nullable":false,"type":"array","items":{"$ref":"#/components/schemas/OrganizationUnitDto"}}},"required":["uuid","name","abbreviation","organizationUnits"]},"OrganizationUnitDto":{"type":"object","properties":{"uuid":{"type":"string","format":"uuid","description":"UUID (v4)","nullable":false},"name":{"type":"string","description":"Name of the organization unit","nullable":false},"status":{"type":"string","enum":["active","archived"],"description":"The status of the organization unit","nullable":false},"type":{"type":"string","enum":["location","company","region","team"],"description":"The type of organization unit","nullable":false},"children":{"description":"The organization units nested directly beneath this one","nullable":false,"type":"array","items":{"$ref":"#/components/schemas/OrganizationUnitDto"}}},"required":["uuid","name","status","type","children"]},"PageInfo":{"type":"object","properties":{"startCursor":{"type":"string","nullable":true,"description":"The first cursor of this slice"},"endCursor":{"type":"string","nullable":true,"description":"The last cursor of this slice"},"hasPreviousPage":{"type":"boolean"},"hasNextPage":{"type":"boolean"}},"required":["startCursor","endCursor","hasPreviousPage","hasNextPage"]}}},"paths":{"/api/v1/organizations":{"get":{"operationId":"OrganizationOverviewRestController_getOrganizations","summary":"","description":" The organizations you get returned are based upon your service account's organization's access scope, and are sorted by name ascendingly. ","parameters":[{"name":"abbreviation","required":false,"in":"query","description":"Use this to search for an organization by abbreviation. As the abbreviation is unique for organizations, only one exact match is returned or no results at all.","schema":{"type":"string"}},{"name":"before","required":false,"in":"query","description":"Organization cursor to fetch results before","schema":{"type":"string"}},{"name":"last","required":false,"in":"query","description":"The amount of results to fetch before the 'before' cursor, or, if no 'before' cursor is provided, from the end of your selection","schema":{"type":"number"}},{"name":"after","required":false,"in":"query","description":"Organization cursor to fetch results after","schema":{"type":"string"}},{"name":"first","required":false,"in":"query","description":"The amount of results to fetch after the 'after' cursor, or, if no 'after' is provided, from the start of your selection","schema":{"type":"number"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationPaginationConnectionDto"}}}},"400":{"description":"Bad request. The error message in the response body shows what the problem is."},"401":{"description":"The service account is not properly authenticated"},"403":{"description":"Service account forbids executing this action. See the response body for more information."},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationPaginationConnectionDto"}}}}},"tags":["organizations"]}}}}
```
